<template>
    <div v-if="!facebook.IsHidden && facebook.IsHidden !== undefined" :class="['fixed right-1 z-[9999] facebook-link-animate', !hiddenTalkId && getTalkId.Text ? 'bottom-[140px]' : 'bottom-[74px]']">
        <el-alert class="p-2">
            <template #title>
                <nuxt-link
                    :to="facebook.HyperLink"
                    target="_blank"
                >
                    <div>
                        <img :src="getAssetImage(`assets/theme/common/icon/facebook_mobile.gif`)">
                    </div>
                    <div  class="star-icon absolute bottom-0 right-0.5">
                        <img :src="getAssetImage(`assets/theme/common/icon/star.gif`)" class="w-[32px] h-[32px]">
                    </div>
                </nuxt-link>
            </template>
        </el-alert>
    </div>
</template>

<script lang="ts">
import { defineComponent, computed } from "vue";
import EnumThemePropertyKey from "~~/models/enums/enumThemePropertyKey";

export default defineComponent({
    setup() {
        const { getAssetImage } = commonHelper;
        const facebook = computed(() =>
            featuresToggleHelper.getThemePropertyFromApi(
                EnumThemePropertyKey.HtmlId,
                "facebook_link"
            )
            );
            const hiddenTalkId = ref(false);
            const getTalkId = computed(() => 
                featuresToggleHelper.getThemePropertyFromApi(
                    EnumThemePropertyKey.HtmlId,
                    "tawkid"
                )
            );
            hiddenTalkId.value = getTalkId.value.IsHidden;
        return {
            facebook,
            getTalkId,
            hiddenTalkId,
            getAssetImage,
        }
    }
});
</script>

<style scoped>
.el-alert--info {
    --el-alert-bg-color: none;
    padding: 20px 0 0 0
}
:deep(.el-alert .el-alert__close-btn) {
    margin-left: 0;
    background: var(--primary);
    width: 24px;
    height: 24px;
    position: absolute;
    right: 2px;
    top: 2px;
    color: #fff;
    font-size: 16px;
    border-radius: 100%;
}
:deep(.el-alert__title) {
    background-color: var(--backgroundfb, rgb(255 255 255 / 20%));
    border-radius: 100%;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
}
</style>